{# {% extends 'layout.twig' %} #}

{% block body %}

<form method="post" name="form_centre" id="form_centre" class="padding15 contenu" >

    <h2>
        {% if evenement.CODE_EVT %}
            {{ 'Modification d’un type d’événement' | trad  }}
        {% else %}
            {{ 'Création d’un type d’événement' | trad  }}
        {% endif %}

        <button class="principal button" type="button" onClick="validateEvement();">{{ 'Enregistrer' |trad }}</button>
        <button class="secondaire button" type="button" onClick="desactiveHiddenDiv();">{{ 'Annuler' |trad }}</button>
    </h2>

    <div class="padding15 bg_form clearfix" style="margin-top: 15px;">

        <div class="clearfix">
            <div class="colonne2">
                <div class="row">
                    {{ inputAdvance('TEXT', {
                        'titre'             : 'Code' | trad,
                        'name'              : 'CODE_EVT',
                        'obligatoire'       : true,
                        'value'             : evenement.CODE_EVT,
                        'pathValidator'     : path('Ajax.validator.isStringSansEspace'),
                        'paramsValidator'   : "{'sizeMin' : '1', 'sizeMax' : '3'}",
                        'option'            : evenement.CODE_EVT? 'readOnly':'',
                    }) }}
                </div>

                <div class="row">
                    {{ inputAdvance('SWITCH', {
                        'titre'             : 'Automatique ?' | trad,
                        'name'              : 'HAPLUS',
                        'value'             : evenement.HAPLUS | boolSql,
                        'option'            : 'disabled',
                    }) }}
                </div>

            </div>

            <div class="colonne2 last">
                <div class="row">
                    {{ inputAdvance('TEXT', {
                        'titre'             : 'Libellé' | trad,
                        'name'              : 'LIB_EVT',
                        'obligatoire'       : true,
                        'value'             : evenement.LIB_EVT,
                        'pathValidator'     : path('Ajax.validator.isStringAvecEspace'),
                        'paramsValidator'   : "{'sizeMin' : '1', 'sizeMax' : '120'}",
                    }) }}
                </div>

                <div class="row">
                    {{ inputAdvance('SWITCH', {
                        'titre'             : 'Avec postes ?' | trad,
                        'name'              : 'PRO_POSTE',
                        'value'             : evenement.PRO_POSTE | boolSql,
                        'option'            : evenement.HAPLUS | boolSql? 'disabled':'',
                    }) }}
                    {% if evenement.HAPLUS | boolSql %}
                        <input type="hidden" name="PRO_POSTE"  value="on">
                    {% endif %}
                </div>
            </div>
        </div>
    </div>


    <script>
    {% if mode == "t2p" %}
        function validateEvement()
        {
            var form = document.getElementById('form_centre');

            var data = new FormData(form);

			activeLoader();
			$.ajax({
			    dataType : 'html',
		        type: 'POST',
		        data: data,
		        mimeType: "multipart/form-data",
		        contentType: false,
		        cache: false,
		        processData: false,
				url: '{{ path('Tables.evementTP.validate', {mode: mode, idModule: idModule, idTable: idTable}) }}',
				success: function(result){
                    const data = JSON.parse(result);
                    redirectJSWithPost(data.path, data.post);
				},
		        error: function (data){
					$("#modal-content").removeClass('modal_large modal_small').addClass('modal_small');
					$("#modal-body").html(data.responseText);
					activePopup ();
					desactiveLoader();
		        }
			});
        }
    {% else %}
        function validateEvement()
        {
            var form = document.getElementById('form_centre');

            var data = new FormData(form);

			activeLoader();
			$.ajax({
			    dataType : 'html',
		        type: 'POST',
		        data: data,
		        mimeType: "multipart/form-data",
		        contentType: false,
		        cache: false,
		        processData: false,
				url: '{{ path('Tables.evementTP.validate', {mode: mode, idModule: idModule, idTable: idTable}) }}',
				success: function(result){
                    if ( $( "#formulaireListeTypeEvt" ).length ) {
                        $('#formulaireListeTypeEvt').submit();
                    } else {
                        desactiveHiddenDiv(false);
                    }
                    desactiveLoader();
				},
		        error: function (data){
					$("#modal-content").removeClass('modal_large modal_small').addClass('modal_small');
					$("#modal-body").html(data.responseText);
					activePopup ();
					desactiveLoader();
		        }
			});
        }
    {% endif %}
    
        
    </script>
    

</form>

{% endblock %}